//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Support/IO/IOUtils.h
//! @brief     Defines namespace GUI::Util::IO
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_SUPPORT_IO_IOUTILS_H
#define BORNAGAIN_GUI_SUPPORT_IO_IOUTILS_H

#include <memory>

class Datafield;

//! Provides utility methods for output data.

namespace GUI::Util::IO {

//! Creates Datafield with bin-valued axes.
std::unique_ptr<Datafield> binifyAxes(const Datafield& data);

} // namespace GUI::Util::IO

#endif // BORNAGAIN_GUI_SUPPORT_IO_IOUTILS_H
