//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      Resample/Processed/ReLayout.cpp
//! @brief     Implements class reLayout.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#include "Resample/Processed/ReLayout.h"
#include "Resample/Coherence/CoherentFFSum.h"
#include "Sample/Aggregate/IInterference.h"
#include "Sample/Material/Admixtures.h"

namespace {

} // namespace

//  ************************************************************************************************
//  class implementation
//  ************************************************************************************************

reLayout::reLayout(bool /*polarized*/, double surface_density,
                   std::vector<std::unique_ptr<const CoherentFFSum>>&& formfactors,
                   const IInterference* iff, std::map<size_t, Admixtures>&& slice2admixtures)
    : m_surface_density(surface_density)
    , m_formfactors(std::move(formfactors))
    , m_iff(iff)
    , m_slice2admixtures(std::move(slice2admixtures))
{
}

reLayout::reLayout(reLayout&& other) = default;

reLayout::~reLayout() = default;
